classification
Title: "No such file or directory" with framework build under MacOS 10.4.11
Type: compile error Stage:
Components: Build Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: creachadair, majid, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2009-04-21 16:01 by creachadair, last changed 2009-06-08 21:23 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
makedump.txt creachadair, 2009-04-21 16:01 Output from "make" after configuration.
Messages (6)
msg86245 - (view) Author: Michael J. Fromberger (creachadair) Date: 2009-04-21 16:01
Checkout:
<http://svn.python.org/projects/python/tags/r262>

Configure:
env CFLAGS="-I/opt/local/include" LDFLAGS="-L/opt/local/lib" sh 
./configure --enable-framework --enable-shared --enable-readline

Build:
make

The configuration step completes successfully, and the build proceeds; 
however, the following error occurs:

gcc -L/opt/local/lib -u _PyMac_Error 
Python.framework/Versions/2.6/Python -o python.exe \
                Modules/python.o \
                -L. -lpython2.6 -ldl      

This appears to be a problem in the definition of the LINKFORSHARED 
variable in the Makefile, but I am not sure what the intended meaning of 
that variable is, so I'm not sure what the fix should be.

A complete make trace is attached.
msg86246 - (view) Author: Michael J. Fromberger (creachadair) Date: 2009-04-21 16:03
Sorry, I managed to not copy the error message.  It is:

i686-apple-darwin8-gcc-4.0.1: Python.framework/Versions/2.6/Python: No 
such file or directory
make: *** [python.exe] Error 1
msg87058 - (view) Author: Fazal Majid (majid) Date: 2009-05-03 18:58
I am experiencing the same problem with 2.6.2, whether using parallel
make or not, but 2.6.1. builds just fine.
msg87426 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-05-08 05:56
--enable-framework and --enable-shared are mutually exclusive options.  
See, for example, the discussion in Issue4472.  Use one or the other, not 
both.

As a side comment, I think this error crops up often enough that it would 
make sense to add a check somewhere (configure?) and produce a useful 
error.
msg87461 - (view) Author: Michael J. Fromberger (creachadair) Date: 2009-05-08 19:13
Ned Deily writes:
> --enable-framework and --enable-shared are mutually exclusive options. 

Aha, I did not realize that, though I suppose in retrospect it should have 
been obvious.  Removing "--enable-shared" from my build configuration does 
enable me to build with "--enable-framework" selected.

I agree that this should be either better documented, or checked for by 
the configurator.
msg89116 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-06-08 21:23
Fixed in r73305 (trunk), r73306 (2.6) and r73307 (3.1) 

That is, with the above mentioned checkins configure will give a clear 
error message when you specify both --enable-framework and --enable-
shared.
History
Date User Action Args
2009-06-08 21:23:24ronaldoussorensetstatus: open -> closed
resolution: fixed
messages: + msg89116
2009-05-08 19:13:13creachadairsetmessages: + msg87461
2009-05-08 05:57:17ned.deilysetnosy: + ronaldoussoren, ned.deily
messages: + msg87426
2009-05-03 18:58:56majidsetnosy: + majid
messages: + msg87058
2009-04-21 16:03:22creachadairsetmessages: + msg86246
2009-04-21 16:01:51creachadaircreate